Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "<string>",
"endpoint": "<string>",
"input_file_id": "<string>",
"completion_window": "<string>",
"request_counts": {
"total": 123,
"completed": 123,
"failed": 123,
"succeeded": 123,
"expired": 123,
"canceled": 123,
"pending": 123
},
"metadata": {},
"created_at": 123,
"expires_at": 123,
"in_progress_at": 123,
"finalizing_at": 123,
"completed_at": 123,
"failed_at": 123,
"expired_at": 123,
"cancelling_at": 123,
"cancelled_at": 123,
"output_file_id": "<string>",
"error_file_id": "<string>",
"errors": {
"object": "<string>",
"data": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"line": 123
}
]
},
"processing_status": "<string>",
"results_url": "<string>",
"archived_at": 123,
"operation_name": "<string>",
"done": true,
"progress": 123,
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Batch
Retrieve a batch job
Retrieves a specific batch job by ID.
GET
/
v1
/
batches
/
{batch_id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "<string>",
"endpoint": "<string>",
"input_file_id": "<string>",
"completion_window": "<string>",
"request_counts": {
"total": 123,
"completed": 123,
"failed": 123,
"succeeded": 123,
"expired": 123,
"canceled": 123,
"pending": 123
},
"metadata": {},
"created_at": 123,
"expires_at": 123,
"in_progress_at": 123,
"finalizing_at": 123,
"completed_at": 123,
"failed_at": 123,
"expired_at": 123,
"cancelling_at": 123,
"cancelled_at": 123,
"output_file_id": "<string>",
"error_file_id": "<string>",
"errors": {
"object": "<string>",
"data": [
{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"line": 123
}
]
},
"processing_status": "<string>",
"results_url": "<string>",
"archived_at": 123,
"operation_name": "<string>",
"done": true,
"progress": 123,
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Authorizations
BearerAuthBasicAuthVirtualKeyAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
The ID of the batch to retrieve
Query Parameters
The provider of the batch AI model provider identifier
Available options:
openai, azure, anthropic, bedrock, cohere, vertex, vllm, mistral, ollama, groq, sgl, parasail, perplexity, replicate, cerebras, gemini, openrouter, elevenlabs, huggingface, nebius, xai, runway, fireworks Response
Successful response
Available options:
validating, failed, in_progress, finalizing, completed, expired, cancelling, canceled, ended Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Additional fields included in responses
Show child attributes
Show child attributes
Was this page helpful?
⌘I

